Jump to content
  • 0

Убийство DVB на 3.7 Alpha 5


SigmaPlus
 Share

Question

Обновление 3.7 Alpha 5 поломало (ликвидировало) поддержку DVB. Никакой ругани в логе, просто с драйвером вообще не взаимодействует. KN-1810.

Link to comment
Share on other sites

21 answers to this question

Recommended Posts

  • 0

Нам придётся собрать улики, мы слишком мало знаем о преступнике. Последний раз его видели в 4.9.266.

Потребуются свидетели и мы не знаем имя жертвы.

  • Upvote 2
Link to comment
Share on other sites

  • 0
1 час назад, vst сказал:

Потребуются свидетели и мы не знаем имя жертвы.

Как сознательный гражданин готов всячески содействовать органам. Высылаю Вам явки и пароли.

P.S. Нашёл в логе что в процессе загрузки роутера

Opkg::Manager: /opt/etc/ndm/usb.d/000-kmod_loader.sh: modinfo: ERROR: Module /opt/lib/modules/4.9-ndm-5/kernel-4.9/compat.ko not found.

 

Link to comment
Share on other sites

  • 0

@SigmaPlus Что-то в ваших показаниях вы не упоминаете о opkg-kmod-dvb-tuner... Ещё не хотите ничего поведать?

 

self-test_KN-1810_draft_3_07.A.5.0-1_router_2021-04-18T00-54-36_654Z

Link to comment
Share on other sites

  • 0
12 минуты назад, vst сказал:

Что-то в ваших показаниях вы не упоминаете о opkg-kmod-dvb-tuner... Ещё не хотите ничего поведать?

Cтатья 51. Конституции Российской Федерации стоит на защите моих прав, так что склоняюсь к тому чтобы воздержаться.

Впрочем могу и передумать если пойму какого рода информация о opkg-kmod-dvb-tuner Вас интересует.

 

 

Link to comment
Share on other sites

  • 0

@SigmaPlusСледствие считает, что потерпевший случайно или намеренно удалил компонент opkg-kmod-dvb-tuner и тем самым совершил убийство.

Link to comment
Share on other sites

  • 0
27 минут назад, vst сказал:

@SigmaPlusСледствие считает, что потерпевший случайно или намеренно удалил компонент opkg-kmod-dvb-tuner и тем самым совершил убийство.

Судя по основной теме dvb этот компонент уже давно дохлый и не используется, а все крутится на модулях предоставляемых @McMCC

Так что у @SigmaPlus

из вариантов либо сидеть на тех прошивках где работает, либо надеятся что @McMCC пересоберет под новую

 

Edited by r13
Link to comment
Share on other sites

  • 0
Posted (edited)
50 минут назад, vst сказал:

Следствие считает, что потерпевший случайно или намеренно удалил компонент opkg-kmod-dvb-tuner и тем самым совершил убийство.

Надеюсь на суде мне удастся отстоять свою невиновность и убедить представителей органов в том что они заблуждались.

1.При переходе на ядро 4.9 (на серию прошивок 3.xx ) модуль ядра для поддержки DVB так и не был собран. Модуль предлагается для установки , но противопоказан к установке поскольку не обеспечивает работоспособность. Поэтому благодаря McMCC был собран обходной вариант который позволяет жить и не тужить использую костыли. Соответственно всё неубходимое находится на примонтированной флешке в рамках OPKG.

2.Откат на 3.7 Alpha 4 сразу же восстанавливает работоспособность решения.

Таким образом уважаемый суд прошу учесть эти обстоятельства и вынести непретвзятое решение встав на защиту интересов граждан и законности.

Edited by SigmaPlus
Link to comment
Share on other sites

  • 0
Posted (edited)

Удалось запустить поддержку DVB на прошивке 3.7 Alpha 8. Содержимое архива распаковать в папку /opt/lib/modules/ (рядом с папками 4.9-ndm-3 и 4.9-ndm-4) и дать команду depmod -a. Стабильность работы не гарантирую, но Астромета на MN88473 и T230С работают.

 

 

4.9-ndm-5.tar.gz

Edited by SoNick
  • Thanks 1
Link to comment
Share on other sites

  • 0

Теперь любой может собрать эти драйвера без проблем - https://github.com/McMCCRU/linux-4.9-dvb-ndm

Это исходники только для сборки DVB драйверов с недостающими модулями!!! Полноценных исходников ядра у меня нет, они и не нужны...

  • Thanks 3
Link to comment
Share on other sites

  • 0
5 минут назад, McMCC сказал:

Обновил сборку на https://github.com/McMCCRU/linux-4.9-dvb-ndm Туда не попали некоторые последние фиксы с первым комитом, сейчас все нормально, все работает... 

К сожалению полноценных исходников ядра нынешних прошивок Keenetic'ов у меня нет, я делал вручную экспорт всех нужных заголовочных файлов из того, что было. Часть исходников я взял из ядра linux-4.9 для Android, другую, очень старую, когда я еще работал в NDM Systems и она тогда находилась в зачаточном состоянии. Тем не менее, собранные драйвера работают до сих пор, не смотря на то, что сменилось несколько внутренних версий ядра в прошивках...

Почему нет? Тут вполне актуальная версия ядра.

  • Thanks 1
Link to comment
Share on other sites

  • 0

@McMCC может подтянуть необходимые изменения в прошивочные модули? Сейчас компонент opkg-kmod-dvb-tuner выглядит бесполезным.

Link to comment
Share on other sites

  • 0
3 минуты назад, vst сказал:

@McMCC может подтянуть необходимые изменения в прошивочные модули? Сейчас компонент opkg-kmod-dvb-tuner выглядит бесполезным.

Так замените drivers/media и include/uapi/linux/dvb из моего гита в своем, тогда у вас будет нормальная поддержка DVB, остальное я не трогал больше нигде в ядре. Останется только вопрос с mt7628, на нем драйвера работают с затыками, тут уже я ничего сделать не могу...

  • Thanks 2
Link to comment
Share on other sites

  • 0

Вот diff между вашей версией ядра, что дал выше мне Сергей, и моей сборкой. Нужно просто проанализировать на состояние с последними правками из комьюнити linux-4.9 и перетащить необходимое...

linux-4.9_dvb.patch.gz

Link to comment
Share on other sites

  • 0
10 минут назад, McMCC сказал:

Нужно просто проанализировать на состояние с последними правками из комьюнити linux-4.9 и перетащить необходимое...

Лучше результат "git am ...", чтобы сохранить атрибуты коммита.

Link to comment
Share on other sites

  • 0

Ну мне все исходники ядра не нужны, поэтому я сделал по минимуму взяв нужное от ядра, весит меньше и собирается быстро...

P.S. Сделал синхронизацию сборки с последней официальной версией ядра. Собранные версии можно взять отсюда - https://github.com/McMCCRU/linux-4.9-dvb-ndm/releases

 

  • Thanks 2
Link to comment
Share on other sites

  • 0
3 часа назад, McMCC сказал:

P.S. Сделал синхронизацию сборки с последней официальной версией ядра. Собранные версии можно взять отсюда - https://github.com/McMCCRU/linux-4.9-dvb-ndm/releases

Спасибо! Работает отлично. Вопрос чисто эстетического характера: как побороть неверную по сути запись в логе

Opkg::Manager: /opt/etc/init.d/rc.unslung: modinfo: ERROR: Module /opt/lib/modules/4.9-ndm-5/kernel/compat.ko not found.   ?

P.S. В смысле понимаю как, имею ввиду что надо расположение compat.ko корректнее указать в скрипте S00kmod_config. Подправить самому 1 секунда...

Link to comment
Share on other sites

  • 0
1 час назад, SigmaPlus сказал:

Вопрос чисто эстетического характера: как побороть неверную по сути запись в логе

Мне кажется в теме по TVHeadend я выкладывал исправления, если нет, то выложу сюда...

kmod_fix.tar.gz

  • Thanks 2
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...